// Using Windows 7 row selection colors in xbrowse

#include 'fivewin.ch'
#include 'xbrowse.ch'
#include "easyrep.ch"

function Main()

   local oDlg, oBrw, oFont

   USE CUSTOMER ALIAS CUST

   DEFINE FONT oFont NAME 'Tahoma' SIZE 0, -14

   DEFINE DIALOG oDlg SIZE 640,540 PIXEL ;
      FONT oFont TITLE 'EasyReport Demo'
  
	@ 10,10 ;
      BUTTON "Start EasyReport" ;
      ACTION prn_cust() ;
          OF oDlg ;
       PIXEL


   @ 50, 10 XBROWSE oBrw OF oDlg SIZE 300, 200 PIXEL ;
      AUTOCOLS ALIAS 'CUST' NOBORDER

   oBrw:nMarqueeStyle    = MARQSTYLE_HIGHLWIN7
   oBrw:CreateFromCode()

   ACTIVATE DIALOG oDlg CENTERED

   RELEASE FONT oFont

return nil
//----------------------------------------------------------------------------//



function prn_cust()


	local oVRD
	local lPreview 		:= .t.
	local cDruckerName 	:= ""
	local pagetotals   	:= 0
	local finaltotals  	:= 0
	local nPage           := 0
   *----------------------------------------------------------
		
	TPreview():lListViewHide := .T.

	EASYREPORT oVRD NAME ".\xVrd\Customer.vrd"  PREVIEW  lPreview TO cDruckerName PRINTDIALOG IIF( lPreview, .F., .F. ) MODAL


	PRINTAREA 1 OF oVRD
	//horizontal line 
	PRINTAREA 6 OF oVRD
	//First page header different from other page headers.
	PRINTAREA 2 OF oVRD   
	//horizontal line 
	PRINTAREA 6 OF oVRD
	//Field headers are not shown correctly.
	PRINTAREA 3 OF oVRD   

	select Cust
		go top
		do while .not. eof()
			
			//and include page totals and final totals.
			pagetotals   	+= Cust->Salary
	 		finaltotals  	+= Cust->Salary
			//Let us include a numeric field like Salary
			
			if Cust->Salary > 10000			
				
				PRINTAREA 4 OF oVRD;  
				ITEMIDS  { 101, 102, 103, 104, 105, 106 } ;
				ITEMVALUES { STR( field->ID ), Cust->Last, Cust->First, Cust->Street, Cust->City, transform( Cust->Salary, "999,999.99" )  }

			else
				
				PRINTAREA 7 OF oVRD;  
				ITEMIDS  { 101, 102, 103, 104, 105, 106 } ;
				ITEMVALUES { STR( field->ID ), Cust->Last, Cust->First, Cust->Street, Cust->City, transform( Cust->Salary, "999,999.99" )  }
			endif


		
			IF oVRD:nNextRow > oVRD:nPageBreak
				//Page numbering
				nPage += 1
				//horizontal line 
				PRINTAREA 6 OF oVRD
				//and include page totals and final totals.
			
				PRINTAREA 5 OF oVRD;
						ITEMIDS  { 50 ,100, 101 } ;
						ITEMVALUES {  transform( nPage, "9999" ), transform( pagetotals, "999999,999.99" ) , transform( finaltotals, "99999999,999.99" )}
				
				pagetotals  := 0 	
				
				PAGEBREAK oVRD
	
				//We need field headers on each page.
				PRINTAREA 3 OF oVRD
    			//horizontal line 
				PRINTAREA 6 OF oVRD
			endif
		
		
		select Cust
		skip
	enddo

	PRINTAREA 5 OF oVRD;
			ITEMIDS  { 50 ,100, 101 } ;
			ITEMVALUES {  transform( nPage, "9999" ), transform( pagetotals, "999,999.99" ) , transform( finaltotals, "99999999,999.99" )}


	oVRD:End()

RETURN nil
//----------------------------------------------------------------------------//


